name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions 🚀
on:
  push:
    branches:
      - 'new_female'

env:
  BUILD: staging


jobs:
  Explore-Gitea-Actions:
    runs-on: stream9
    steps:
      - run: echo "🎉 The job was automatically triggered by a ${{ gitea.event_name }} event."
      - run: echo "🐧 This job is now running on a ${{ runner.os }} server hosted by Gitea!"
      - run: echo "🔎 The name of your branch is ${{ gitea.ref }} and your repository is ${{ gitea.repository }}."
      - name: Check out repository code
        uses: https://gitea.yantootech.com/neil/checkout@v4
      - run: echo "💡 The ${{ gitea.repository }} repository has been cloned to the runner."
      - run: echo "🖥️ The workflow is now ready to test your code on the runner."
      - name: List files in the repository
        run: |
          whoami
          uname -a
          pwd
          ls ${{ gitea.workspace }}
      - name: Build and push
        uses: https://gitea.yantootech.com/neil/build-push-action@v6
        with:
          push: false
          tags: emotion-female-digital-video:${{ gitea.run_id }}
      - name: Run docker
        run: |
          pwd
          if [ "$(docker ps -q -f name=^emotion-female-digital-video$)" ]; then
            docker stop emotion-female-digital-video
          fi
          docker run -d --rm --name emotion-female-digital-video \
            -v /usr/share/fonts/opentype/noto:/usr/share/fonts \
            -p 6901:3000 \
            emotion-female-digital-video:${{ gitea.run_id }}
      - run: echo "🍏 This job's status is ${{ job.status }}."